/******************************************************************************/
/*                                                                            */
/*                             YTCreformat.rexx                               */
/*                      Copyright 1998 by Dick Whiting                       */
/*                                                                            */
/*----------------------------------------------------------------------------*/
/* Modify variables YTCPATH and ARUN for your system configuration.           */
/*----------------------------------------------------------------------------*/
/* This one determines which mail is selected in YAM and calls YTCreformat    */
/* with the full filename as an argument. YTCreformat allows for fixing mail  */
/* with badly wrapped lines, editing individual body and header lines,        */
/* and inserting MUI control codes in mail.                                   */
/*----------------------------------------------------------------------------*/
/*                                                                            */
/* Standard Disclaimer: I wrote it, it works for me, I don't guarantee        */
/* that it will do anything productive for anyone else, etc. etc. ;-)         */
/*                                                                            */
/*HOWEVER, if you DO find a use for it: I homeschool my kids and they         */
/*would love a postcard from where EVER you live.                             */
/*                                                                            */
/*Instant GEOGRAPHY lesson;)                                                  */
/*                                                                            */
/*                                                                            */
/*POSTCARDS:    Dick Whiting                                                  */
/*              28590 S. Beavercreek Rd.                                      */
/*              Mulino, Oregon 97042                                          */
/*              USA                                                           */
/*                                                                            */
/*----------------------------------------------------------------------------*/
/*                                                                            */
/*               Address Bug Reports or Comments to:                          */
/*                Dick Whiting <dwhiting@europa.com>                          */
/*                          17 Feb 1998                                       */
/*                                                                            */
/******************************************************************************/
/*
$VER: 1.0 Copyright 1998 by Dick Whiting
$AUTHOR: Dick Whiting
$DESCRIPTION: Call YTCreformat for the selected YAM mail.      
*/

YTCPATH="YAM:rexx/"
ARUN="C:RUN >NIL: "

options results

address YAM 'GETMAILINFO ' filename
mailfile=result

if mailfile='RESULT' then do
	Adress YAM 'REQUEST "Select a mail to reformat" "Okay"'
	exit
end

pragma('STACK',8192)
pragma('D',YTCPATH)

Address Command ARUN YTCPATH"YTCreformat MAIL="mailfile

exit
